Subject: bug#59426: 29.0.50; [tree-sitter] Some functions exceed maximum recursion limit

From: Eli Zaretskii <[email-masked]>
Date: Mon, 21 Nov 2022 18:54:12 +0200

> From: Yuan Fu <[email-masked]>
> Date: Mon, 21 Nov 2022 08:43:45 -0800
> Cc: Eli Zaretskii <[email-masked]>,
>  Stefan Kangas <[email-masked]>,
>  Po Lu <[email-masked]>,
>  [email-masked]
> 
> > There are still scores of Elisp byte-compilation warnings but I leave fixing those to the tree-sitter developers.
> 
> Could you paste the warnings? Because I don’t see any warnings on my machine.

I' see them and am working on fixing them.  (You won't see them unless you
configure --without-tree-sitter.)